Package Details: movie-monad 0.0.6.1_0-1

Git Clone URL: https://aur.archlinux.org/movie-monad.git (read-only)
Package Base: movie-monad
Description: A free and simple to use video player made with Haskell.
Upstream URL: https://github.com/lettier/movie-monad
Keywords: movie multimedia player video
Licenses: BSD3
Submitter: lettier
Maintainer: lettier
Last Packager: lettier
Votes: 2
Popularity: 0.105673
First Submitted: 2017-12-19 09:46
Last Updated: 2018-05-01 03:50

Latest Comments

lettier commented on 2018-04-07 05:43

Hello gnacho,

I have updated the package to version 0.0.5.0.

Please try again.

gnacho commented on 2018-04-05 11:35

I got this: ==> ERROR: libtinfo.so.5 is provided by ncurses5-compat-libs, please do not use dangerous symlinks

archtux commented on 2017-12-31 13:48

@lettier Now it works.

lettier commented on 2017-12-31 12:32

Hello archtux,

I have updated the PKGBUILD for version 0.0.4.0.

Please try again.

archtux commented on 2017-12-25 20:58

Downloading xml-conduit-1.7.0... Configuring xml-conduit-1.7.0... Building xml-conduit-1.7.0... Installed xml-conduit-1.7.0 Installed regex-tdfa-1.2.2 cabal: Error: some packages failed to install: gi-atk-2.0.14 depends on pretty-show-1.6.15 which failed to install. gi-cairo-1.0.14 depends on pretty-show-1.6.15 which failed to install. gi-gdk-3.0.14 depends on pretty-show-1.6.15 which failed to install. gi-gdkpixbuf-2.0.14 depends on pretty-show-1.6.15 which failed to install. gi-gio-2.0.14 depends on pretty-show-1.6.15 which failed to install. gi-glib-2.0.15 depends on pretty-show-1.6.15 which failed to install. gi-gobject-2.0.15 depends on pretty-show-1.6.15 which failed to install. gi-gst-1.0.14 depends on pretty-show-1.6.15 which failed to install. gi-gstbase-1.0.15 depends on pretty-show-1.6.15 which failed to install. gi-gstvideo-1.0.14 depends on pretty-show-1.6.15 which failed to install. gi-gtk-3.0.18 depends on pretty-show-1.6.15 which failed to install. gi-pango-1.0.15 depends on pretty-show-1.6.15 which failed to install. haskell-gi-0.20.3 depends on pretty-show-1.6.15 which failed to install. pretty-show-1.6.15 failed during the configure step. The exception was: ExitFailure 1 make: *** [makefile:47: cabal_install_relocatable_executable] Error 1 ==> ERROR: A failure occurred in build(). Aborting...

j1simon commented on 2017-12-22 13:38

Error:

==> Downloading movie-monad PKGBUILD from AUR... x .SRCINFO x PKGBUILD movie-monad 0.0.2.0_0-1 (2017-12-19 09:46) ( Unsupported package: Potentially dangerous ! ) ==> movie-monad dependencies: - gtk3 (already installed) - gstreamer (already installed) - gst-libav (already installed) - gst-plugins-base-libs (already installed) - gst-plugins-base (already installed) - gst-plugins-good (already installed) - gst-plugins-bad (already installed) - make (already installed) [makedepend] - wget (already installed) [makedepend] - gobject-introspection (already installed) [makedepend] - git (already installed) [makedepend] - gmp (already installed) [makedepend] - zlib (already installed) [makedepend] - ncurses (already installed) [makedepend]

==> Continue building movie-monad ? [Y/n] ==> ------------------------------------- ==> ==> Building and installing package ==> Making package: movie-monad 0.0.2.0_0-1 (vie dic 22 14:37:32 CET 2017) ==> Checking runtime dependencies... ==> Checking buildtime dependencies... ==> Retrieving sources... -> Downloading movie-monad-0.0.2.0.tar.gz... % Total % Received % Xferd Average Speed Time Time Time Current Dload Upload Total Spent Left Speed 0 0 0 0 0 0 0 0 --:--:-- --:--:-- --:--:-- 0 100 113k 0 113k 0 0 113k 0 --:--:-- --:--:-- --:--:-- 113k ==> Validating source files with sha256sums... movie-monad-0.0.2.0.tar.gz ... Passed ==> Extracting sources... -> Extracting movie-monad-0.0.2.0.tar.gz with bsdtar ==> Removing existing $pkgdir/ directory... ==> Starting build()... --2017-12-22 14:37:33-- https://raw.githubusercontent.com/lettier/movie-monad/44a705fc46e66dc9e585625e535b8c7d2473af15/makefile Loaded CA certificate '/etc/ssl/certs/ca-certificates.crt' Resolving raw.githubusercontent.com... 151.101.36.133 Connecting to raw.githubusercontent.com|151.101.36.133|:443... connected. HTTP request sent, awaiting response... 200 OK Length: 476 [text/plain] Saving to: ‘makefile’

makefile 100%[===================>] 476 --.-KB/s in 0s

2017-12-22 14:37:33 (8,83 MB/s) - ‘makefile’ saved [1226]

stack --allow-different-user setup && \ stack --allow-different-user update && \ stack --allow-different-user install cabal-install && \ stack --allow-different-user install alex && \ stack --allow-different-user install happy stack will use a sandboxed GHC it installed For more information on paths, see 'stack path' and 'stack exec env' To use this GHC and packages outside of a project, consider using: stack ghc, stack ghci, stack runghc, or stack exec Updating package index Hackage (mirrored at https://s3.amazonaws.com/hackage.fpc Selected mirror https://s3.amazonaws.com/hackage.fpcomplete.com/ Updating package index Hackage (mirrored at https://s3.amazonaws.com/hackage.fpc Downloading timestamp Updating package index Hackage (mirrored at https://s3.amazonaws.com/hackage.fpc No updates to your package index were found Updating package index Hackage (mirrored at https://s3.amazonaws.com/hackage.fpc Update complete<br> Copying from /home/juan/.stack/snapshots/x86_64-linux-nopie/lts-10.0/8.2.2/bin/cabal to /home/juan/.local/bin/cabal

Copied executables to /home/juan/.local/bin: - cabal

Warning: Installation path /home/juan/.local/bin not found on the PATH environment variable. Copying from /home/juan/.stack/snapshots/x86_64-linux-nopie/lts-10.0/8.2.2/bin/alex to /home/juan/.local/bin/alex

Copied executables to /home/juan/.local/bin: - alex

Warning: Installation path /home/juan/.local/bin not found on the PATH environment variable. Copying from /home/juan/.stack/snapshots/x86_64-linux-nopie/lts-10.0/8.2.2/bin/happy to /home/juan/.local/bin/happy

Copied executables to /home/juan/.local/bin: - happy

Warning: Installation path /home/juan/.local/bin not found on the PATH environment variable. env PATH=/usr/local/bin:/usr/local/sbin:/usr/bin:/opt/afdko/Tools/linux:/usr/lib/jvm/default/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl:/home/juan/bin:stack --allow-different-user path --local-bin:stack --allow-different-user path --local-bin:stack --allow-different-user path --compiler-bin stack --allow-different-user path --local-bin/cabal update Downloading the latest package list from hackage.haskell.org env PATH=/usr/local/bin:/usr/local/sbin:/usr/bin:/opt/afdko/Tools/linux:/usr/lib/jvm/default/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl:/home/juan/bin:stack --allow-different-user path --local-bin:stack --allow-different-user path --local-bin:stack --allow-different-user path --compiler-bin stack --allow-different-user path --local-bin/cabal clean && \ env PATH=/usr/local/bin:/usr/local/sbin:/usr/bin:/opt/afdko/Tools/linux:/usr/lib/jvm/default/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl:/home/juan/bin:stack --allow-different-user path --local-bin:stack --allow-different-user path --local-bin:stack --allow-different-user path --compiler-bin stack --allow-different-user path --local-bin/cabal sandbox delete && \ env PATH=/usr/local/bin:/usr/local/sbin:/usr/bin:/opt/afdko/Tools/linux:/usr/lib/jvm/default/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl:/home/juan/bin:stack --allow-different-user path --local-bin:stack --allow-different-user path --local-bin:stack --allow-different-user path --compiler-bin stack --allow-different-user path --local-bin/cabal sandbox init cleaning... Deleting the sandbox located at /tmp/makepkg/movie-monad/src/movie-monad-0.0.2.0/.cabal-sandbox Writing a default package environment file to /tmp/makepkg/movie-monad/src/movie-monad-0.0.2.0/cabal.sandbox.config Creating a new sandbox at /tmp/makepkg/movie-monad/src/movie-monad-0.0.2.0/.cabal-sandbox env PATH=/usr/local/bin:/usr/local/sbin:/usr/bin:/opt/afdko/Tools/linux:/usr/lib/jvm/default/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl:/home/juan/bin:stack --allow-different-user path --local-bin:stack --allow-different-user path --local-bin:stack --allow-different-user path --compiler-bin stack --allow-different-user path --local-bin/cabal sandbox init && \ env PATH=/usr/local/bin:/usr/local/sbin:/usr/bin:/opt/afdko/Tools/linux:/usr/lib/jvm/default/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl:/home/juan/bin:stack --allow-different-user path --local-bin:stack --allow-different-user path --local-bin:stack --allow-different-user path --compiler-bin stack --allow-different-user path --local-bin/cabal --require-sandbox install --dependencies-only -j -w stack --allow-different-user path --compiler-exe && \ env PATH=/usr/local/bin:/usr/local/sbin:/usr/bin:/opt/afdko/Tools/linux:/usr/lib/jvm/default/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl:/home/juan/bin:stack --allow-different-user path --local-bin:stack --allow-different-user path --local-bin:stack --allow-different-user path --compiler-bin stack --allow-different-user path --local-bin/cabal --require-sandbox configure --enable-relocatable -w stack --allow-different-user path --compiler-exe && \ env PATH=/usr/local/bin:/usr/local/sbin:/usr/bin:/opt/afdko/Tools/linux:/usr/lib/jvm/default/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl:/home/juan/bin:stack --allow-different-user path --local-bin:stack --allow-different-user path --local-bin:stack --allow-different-user path --compiler-bin stack --allow-different-user path --local-bin/cabal --require-sandbox build -j && \ env PATH=/usr/local/bin:/usr/local/sbin:/usr/bin:/opt/afdko/Tools/linux:/usr/lib/jvm/default/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl:/home/juan/bin:stack --allow-different-user path --local-bin:stack --allow-different-user path --local-bin:stack --allow-different-user path --compiler-bin stack --allow-different-user path --local-bin/cabal --require-sandbox install --enable-relocatable -j -w stack --allow-different-user path --compiler-exe Writing a default package environment file to /tmp/makepkg/movie-monad/src/movie-monad-0.0.2.0/cabal.sandbox.config Using an existing sandbox located at /tmp/makepkg/movie-monad/src/movie-monad-0.0.2.0/.cabal-sandbox Resolving dependencies... In order, the following would be installed: call-stack-0.1.0 (via: HUnit-1.6.0.0) (new package) data-default-class-0.1.2.0 (via: data-default-0.7.1.1 data-default-instances-old-locale-0.0.1 data-default-instances-dlist-0.0.1 data-default-instances-containers-0.0.1) (new package) dlist-0.8.0.3 (via: data-default-instances-dlist-0.0.1) (new package) haskell-gi-overloading-1.0 (via: gi-gtk-3.0.18 gi-gdk-3.0.14 gi-gstvideo-1.0.14 gi-gdkpixbuf-2.0.14 gi-gstbase-1.0.15 gi-atk-2.0.14 gi-gio-2.0.14 gi-gst-1.0.14 gi-pango-1.0.15 gi-gobject-2.0.15 gi-cairo-1.0.14 gi-glib-2.0.15) (new package) haskell-lexer-1.0.1 (via: pretty-show-1.6.15) (new package) integer-logarithms-1.0.2 (via: scientific-0.3.5.2) (new package) mtl-2.2.1 (via: haskell-gi-0.20.3 conduit-1.2.12.1 MissingH-1.4.0.1 resourcet-1.1.10 hslogger-1.2.10 regex-tdfa-1.2.2 exceptions-0.8.3 mmorph-1.1.0 parsec-3.1.11 regex-base-0.93.2) (new package) old-locale-1.0.0.7 (via: MissingH-1.4.0.1 hslogger-1.2.10 data-default-instances-old-locale-0.0.1 old-time-1.1.0.3) (new package) primitive-0.6.2.0 (via: conduit-extra-1.2.2 conduit-1.2.12.1 scientific-0.3.5.2) (new package) safe-0.3.15 (via: haskell-gi-0.20.3) (new package) stm-2.4.4.1 (via: conduit-extra-1.2.2 streaming-commons-0.1.18 typed-process-0.2.0.0 monad-control-1.0.2.2 exceptions-0.8.3 transformers-base-0.4.4 async-2.1.1.1) (new package) text-1.2.2.2 (via: gi-gtk-3.0.18 gi-gdk-3.0.14 gi-gstvideo-1.0.14 gi-gdkpixbuf-2.0.14 gi-gstbase-1.0.15 gi-atk-2.0.14 gi-gio-2.0.14 gi-gst-1.0.14 gi-pango-1.0.15 gi-gobject-2.0.15 gi-cairo-1.0.14 gi-glib-2.0.15 haskell-gi-0.20.3 haskell-gi-0.20.3 xml-conduit-1.4.0.4 conduit-extra-1.2.2 streaming-commons-0.1.18 blaze-html-0.9.0.1 attoparsec-0.13.2.0 system-fileio-0.3.16.3 blaze-markup-0.8.0.0 scientific-0.3.5.2 blaze-builder-0.4.0.2 hashable-1.2.6.1 haskell-gi-base-0.20.4 parsec-3.1.11 system-filepath-0.4.13.4 xml-types-0.3.6) (new package) time-1.6.0.1 (latest: 1.8.0.3) (via: MissingH-1.4.0.1 Cabal-2.0.1.1 hslogger-1.2.10 directory-1.3.1.5 system-fileio-0.3.16.3 random-1.1 unix-2.7.2.2) (new version) transformers-compat-0.5.1.4 (via: conduit-1.2.12.1 resourcet-1.1.10 monad-control-1.0.2.2 exceptions-0.8.3 mmorph-1.1.0 transformers-base-0.4.4) (new package) unliftio-core-0.1.0.0 (via: conduit-extra-1.2.2 resourcet-1.1.10) (new package) zlib-0.6.1.2 (via: streaming-commons-0.1.18) (new package) HUnit-1.6.0.0 (via: MissingH-1.4.0.1) (new package) data-default-instances-containers-0.0.1 (via: data-default-0.7.1.1) (new package) data-default-instances-dlist-0.0.1 (via: data-default-0.7.1.1) (new package) pretty-show-1.6.15 (via: haskell-gi-0.20.3 haskell-gi-0.20.3) (new package) regex-base-0.93.2 (via: regex-compat-0.95.1 regex-tdfa-1.2.2 regex-posix-0.95.2) (new package) old-time-1.1.0.3 (via: MissingH-1.4.0.1) (new package) data-default-instances-old-locale-0.0.1 (via: data-default-0.7.1.1) (new package) async-2.1.1.1 (via: conduit-extra-1.2.2 streaming-commons-0.1.18 typed-process-0.2.0.0) (new package) xml-types-0.3.6 (via: xml-conduit-1.4.0.4) (new package) system-filepath-0.4.13.4 (via: system-fileio-0.3.16.3) (new package) parsec-3.1.11 (via: MissingH-1.4.0.1 network-uri-2.6.1.0 regex-tdfa-1.2.2) (new package) haskell-gi-base-0.20.4 (latest: 0.20.8) (via: gi-gtk-3.0.18 gi-gdk-3.0.14 gi-gstvideo-1.0.14 gi-gdkpixbuf-2.0.14 gi-gstbase-1.0.15 gi-atk-2.0.14 gi-gio-2.0.14 gi-gst-1.0.14 gi-pango-1.0.15 gi-gobject-2.0.15 gi-cairo-1.0.14 gi-glib-2.0.15 haskell-gi-0.20.3 haskell-gi-0.20.3) (new package) hashable-1.2.6.1 (via: scientific-0.3.5.2) (new package) blaze-builder-0.4.0.2 (via: xml-conduit-1.4.0.4 conduit-extra-1.2.2 streaming-commons-0.1.18 blaze-html-0.9.0.1 blaze-markup-0.8.0.0) (new package) unix-2.7.2.2 (via: MissingH-1.4.0.1 Cabal-2.0.1.1 hslogger-1.2.10 streaming-commons-0.1.18 process-1.4.3.0 directory-1.3.1.5 network-2.6.3.2 system-fileio-0.3.16.3) (reinstall) (changes: time-1.8.0.2 removed) random-1.1 (via: MissingH-1.4.0.1 streaming-commons-0.1.18) (new package) transformers-base-0.4.4 (via: conduit-extra-1.2.2 conduit-1.2.12.1 resourcet-1.1.10 lifted-base-0.2.3.11 monad-control-1.0.2.2) (new package) mmorph-1.1.0 (via: conduit-1.2.12.1 resourcet-1.1.10) (new package) exceptions-0.8.3 (via: conduit-extra-1.2.2 conduit-1.2.12.1 resourcet-1.1.10) (new package) regex-posix-0.95.2 (via: regex-compat-0.95.1) (new package) data-default-0.7.1.1 (via: xml-conduit-1.4.0.4) (new package) regex-tdfa-1.2.2 (via: haskell-gi-0.20.3) (new package) network-uri-2.6.1.0 (new package) scientific-0.3.5.2 (via: attoparsec-0.13.2.0) (new package) blaze-markup-0.8.0.0 (via: xml-conduit-1.4.0.4 blaze-html-0.9.0.1) (new package) system-fileio-0.3.16.3 (new package) network-2.6.3.2 (via: conduit-extra-1.2.2 MissingH-1.4.0.1 hslogger-1.2.10 streaming-commons-0.1.18) (new package) directory-1.3.1.5 (via: haskell-gi-0.20.3 haskell-gi-0.20.3 conduit-extra-1.2.2 MissingH-1.4.0.1 Cabal-2.0.1.1 hslogger-1.2.10 streaming-commons-0.1.18 process-1.4.3.0 xdg-basedir-0.2.2) (new version) monad-control-1.0.2.2 (via: xml-conduit-1.4.0.4 conduit-extra-1.2.2 conduit-1.2.12.1 resourcet-1.1.10 lifted-base-0.2.3.11) (new package) regex-compat-0.95.1 (via: MissingH-1.4.0.1) (new package) attoparsec-0.13.2.0 (via: haskell-gi-0.20.3 xml-conduit-1.4.0.4 conduit-extra-1.2.2) (new package) blaze-html-0.9.0.1 (via: xml-conduit-1.4.0.4) (new package) xdg-basedir-0.2.2 (via: haskell-gi-0.20.3) (new package) process-1.4.3.0 (latest: 1.6.2.0) (via: haskell-gi-0.20.3 conduit-extra-1.2.2 MissingH-1.4.0.1 Cabal-2.0.1.1 hslogger-1.2.10 streaming-commons-0.1.18 typed-process-0.2.0.0) (new version) lifted-base-0.2.3.11 (via: conduit-1.2.12.1 resourcet-1.1.10) (new package) typed-process-0.2.0.0 (via: conduit-extra-1.2.2) (new package) streaming-commons-0.1.18 (via: conduit-extra-1.2.2) (new package) hslogger-1.2.10 (via: MissingH-1.4.0.1) (new package) Cabal-2.0.1.1 (via: gi-gtk-3.0.18 gi-gdk-3.0.14 gi-gstvideo-1.0.14 gi-gdkpixbuf-2.0.14 gi-gstbase-1.0.15 gi-atk-2.0.14 gi-gio-2.0.14 gi-gst-1.0.14 gi-pango-1.0.15 gi-gobject-2.0.15 gi-cairo-1.0.14 gi-glib-2.0.15 haskell-gi-0.20.3) (new version) resourcet-1.1.10 (via: xml-conduit-1.4.0.4 conduit-extra-1.2.2 conduit-1.2.12.1) (new package) MissingH-1.4.0.1 (new package) conduit-1.2.12.1 (via: xml-conduit-1.4.0.4 conduit-extra-1.2.2) (new package) conduit-extra-1.2.2 (via: xml-conduit-1.4.0.4) (new package) xml-conduit-1.4.0.4 (latest: 1.7.0) (via: haskell-gi-0.20.3) (new package) haskell-gi-0.20.3 (via: gi-gtk-3.0.18 gi-gtk-3.0.18 gi-gdk-3.0.14 gi-gdk-3.0.14 gi-gstvideo-1.0.14 gi-gstvideo-1.0.14 gi-gdkpixbuf-2.0.14 gi-gdkpixbuf-2.0.14 gi-gstbase-1.0.15 gi-gstbase-1.0.15 gi-atk-2.0.14 gi-atk-2.0.14 gi-gio-2.0.14 gi-gio-2.0.14 gi-gst-1.0.14 gi-gst-1.0.14 gi-pango-1.0.15 gi-pango-1.0.15 gi-gobject-2.0.15 gi-gobject-2.0.15 gi-cairo-1.0.14 gi-cairo-1.0.14 gi-glib-2.0.15 gi-glib-2.0.15) (new package) gi-glib-2.0.15 (via: gi-gtk-3.0.18 gi-gdk-3.0.14 gi-gstvideo-1.0.14 gi-gdkpixbuf-2.0.14 gi-gstbase-1.0.15 gi-atk-2.0.14 gi-gio-2.0.14 gi-gst-1.0.14 gi-pango-1.0.15 gi-gobject-2.0.15) (new package) gi-cairo-1.0.14 (via: gi-gtk-3.0.18 gi-gdk-3.0.14) (new package) gi-gobject-2.0.15 (via: gi-gtk-3.0.18 gi-gdk-3.0.14 gi-gstvideo-1.0.14 gi-gdkpixbuf-2.0.14 gi-gstbase-1.0.15 gi-atk-2.0.14 gi-gio-2.0.14 gi-gst-1.0.14 gi-pango-1.0.15) (new package) gi-pango-1.0.15 (via: gi-gtk-3.0.18 gi-gdk-3.0.14) (new package) gi-gst-1.0.14 (via: gi-gstvideo-1.0.14 gi-gstbase-1.0.15) (new package) gi-gio-2.0.14 (via: gi-gtk-3.0.18 gi-gdk-3.0.14 gi-gdkpixbuf-2.0.14) (new package) gi-atk-2.0.14 (via: gi-gtk-3.0.18) (new package) gi-gstbase-1.0.15 (via: gi-gstvideo-1.0.14) (new package) gi-gdkpixbuf-2.0.14 (via: gi-gtk-3.0.18 gi-gdk-3.0.14) (new package) gi-gstvideo-1.0.14 (new package) gi-gdk-3.0.14 (via: gi-gtk-3.0.18) (new package) gi-gtk-3.0.18 (new package) cabal: The following packages are likely to be broken by the reinstalls: process-1.6.1.0 haskeline-0.7.4.0 ghc-8.2.2 Cabal-2.0.1.0 ghci-8.2.2 directory-1.3.0.2 hpc-0.6.0.3 ghc-boot-8.2.2 Use --force-reinstalls if you want to install anyway. make: *** [makefile:45: cabal_install_relocatable_executable] Error 1 ==> ERROR: A failure occurred in build(). Aborting... ==> ERROR: Makepkg was unable to build movie-monad. ==> Restart building movie-monad ? [y/N] ==> ------------------------------------ ==> %